Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

iOS: Facebook SDK error

Discussion in 'Unity Build Automation' started by iPickle, Aug 15, 2020.

  1. iPickle

    iPickle

    Joined:
    Oct 21, 2013
    Posts:
    46
    Hello

    I am working with Unity 2020.1.2f1, but everything here was checked also with 2019.4.7
    And the latest Facebook SDK (7.2.1)

    I have a project that is working perfectly on android, we got the in-app working, and also the facebook login, account link and share. on Android.

    I don't own a Mac, so I am building with Unity Cloud Build, when I send the project to be built for ios,, I see

    Code (CSharp):
    1.  ▸ Linking UnityFramework
    2. 9188:;️  ld: arm64 function not 4-byte aligned: _unwind_tester from /BUILD_PATH/****.*****.*****-production/temp20200814-3988-1yvd397/Libraries/libiPhone-lib.a(unwind_test_arm64.o)
    3. 9189: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreFoundation'
    4. 9190: ⚠;️  ld: Could not find or use auto-linked library 'swiftCompatibility50'
    5. 9191: ⚠;️  ld: Could not find or use auto-linked library 'swiftObjectiveC'
    6. 9192: ⚠;️  ld: Could not find or use auto-linked library 'swiftMetal'
    7. 9193: ⚠;️  ld: Could not find or use auto-linked library 'swiftDarwin'
    8. 9194: ⚠;️  ld: Could not find or use auto-linked library 'swiftUIKit'
    9. 9195: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreGraphics'
    10. 9196: ⚠;️  ld: Could not find or use auto-linked library 'swiftDispatch'
    11. 9197: ⚠;️  ld: Could not find or use auto-linked library 'swiftAVFoundation'
    12. 9198: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreMedia'
    13. 9199: ⚠;️  ld: Could not find or use auto-linked library 'swiftCompatibilityDynamicReplacements'
    14. 9200: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreImage'
    15. 9201: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreAudio'
    16. 9202: ⚠;️  ld: Could not find or use auto-linked library 'swiftQuartzCore'
    17. 9203: ⚠;️  ld: Could not find or use auto-linked library 'swiftCore'
    18. 9204: ⚠;️  ld: Could not find or use auto-linked library 'swiftPhotos'
    19. 9205: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreMIDI'
    20. 9206: ⚠;️  ld: Could not find or use auto-linked library 'swiftsimd'
    21. 9207: ⚠;️  ld: Could not find or use auto-linked library 'swiftFoundation'
    22. 9208: ⚠;️  ld: Could not find or use auto-linked library 'swiftCoreLocation'
    23. 9209: ❌;  ld: symbol(s) not found for architecture arm64
    24. 9210: ❌;  clang: error: linker command failed with exit code 1 (use -v to see invocation)
    Anyone have any idea???
    I am losing my mind over this

    * Same arm64 error exists even if I open an empty project, Import the Facebook SDK, setup the build settings scenes, and send to a build, so its nothing like an integration of 2 third party


    *** Also, From In-App I get this error:

    Code (CSharp):
    1. [Unity] Error: Could not load signature of UnityEngine.Purchasing.UIFakeStore:GetOkayButton due to: Could not load file or assembly 'UnityEngine.UI, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. assembly:UnityEngine.UI, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null type:<unknown type> member:(null) signature:<none>
    But this error does not make the build fail (If I removed facebook, I still get this error, but build successful)
     
  2. dirty-rectangle

    dirty-rectangle

    Joined:
    Apr 23, 2015
    Posts:
    78